<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<!-- ================= -->
	<!-- == FORMULARIOS == -->
	<!-- ================= -->
	<form-beans>
		<!-- ==================================== -->
		<!-- El formulario principal de la pagina -->
		<!-- ==================================== -->
		<form-bean
				name="w83bDatosMinisterio"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="w83bDatosMinisterioBean" type="w83b.w83bBeans.W83bDatosMinisterioBean"/>
				
		</form-bean>
		
		<!-- ==================================== -->
		<form-bean
				name="w83bDatosMinisterioAnual"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="w83bDatosMinisterioBean" type="w83b.w83bBeans.W83bDatosMinisterioBean"/>
				
		</form-bean>
		
		<!-- =========== -->
		<!-- El contexto -->
		<!-- =========== -->
			
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">				   
				
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.datosMinisterio"/>
				<form-property name="strTitleKey" type="java.lang.String" initial=""/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>	
				<form-property name="busqRealizadaTemp" type="java.lang.String" initial="false"/>	
				<form-property name="codSelec" type="java.lang.String"/>
				<form-property name="codSelecEdicion" type="java.lang.String"/>	
				<form-property name="tamanyoListaResults" type="java.lang.String"/>
				<form-property name="w83bDatosMinisterioBean" type="w83b.w83bBeans.W83bDatosMinisterioBean"/>
				<form-property name="migas" type="java.lang.String" initial ="inicio.datosMinisterio"/>								
				<form-property name="w83bResultadoDatosMinisterio" type="java.util.List"/>
				<form-property name="w83bPerfilUsuario" type="java.lang.String" initial=""/>
				<form-property name="w83bCodTerritUsuario" type="java.lang.String" initial=""/>
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bDatosMinisterio[w83bDatosMinisterioBean]"/>
				
		</form-bean>
	
	</form-beans>
	<!-- ============== -->
	<!-- == ACCIONES == -->
	<!-- ============== -->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!-- =============== -->
		<!-- Mostrar paginas -->
		<!-- =============== -->
		<action
				path ="/w83bInicioDatosMinisterio" forward="/w83bDatosMinisterioIni.do"/>
				
		<action
				path ="/w83bInicioUtilidades" forward="/w83bPaginaInicioUtilidades.do"/>
				
		<action
				path ="/w83bPaginaInicioUtilidadesMedio" forward="paginaInicioUtilidadesComun"/>
		
		<!-- ======== -->
		<!-- Entradas -->
		<!-- ======== -->
		<action
				path ="/w83bDatosMinisterioEnvio" forward="/w83bDatosMinisterioEnv.do"/>
		<action
				path ="/w83bDatosMinisterioInforme" forward="/w83bDatosMinisterioInf.do"/>
		<!-- =============== -->
		<!-- Dispatch menus -->
		<!-- =============== -->
		<action
				path="/w83bDispatchDatosMinisterio"
				name="w83bDatosMinisterio"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.datosMinisterio.generar"
					path="/w83bGenerarDatosMinisterioOP.do"/>
		</action>
		
		<action
				path="/w83bDispatchDatosMinisterioAnual"
				name="w83bDatosMinisterioAnual"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.datosMinisterio.generar"
					path="/w83bGenerarAnualDatosMinisterioOP.do"/>
		</action>
		
		
		
		<!-- =============== -->
		<!-- INICIO -->
		<!-- =============== -->
		<action path="/w83bDatosMinisterioIni" scope="request"  type="w83b.w83bOperacionesPaso.w83bDatosMinisterio.W83bDatosMinisterioInicioOPAction"
			 name="w83bDatosMinisterio" validate="false" >
			<forward name="ok" path="paginaDatosMinisterio"/>
			<forward name="error" path="/w83bDatosMinisterioEnvio.do"/>
		</action>
		
		
		<!-- =============== -->
		<!-- ENVIO -->
		<!-- =============== -->
		<action path="/w83bDatosMinisterioEnv" scope="request"  type="w83b.w83bOperacionesPaso.w83bDatosMinisterio.W83bComprobarDatosMinisterioOPAction"
			 name="w83bDatosMinisterio" validate="false" >
			<forward name="ok" path="paginaDatosMinisterioEnvio"/>
			<forward name="error" path="/w83bDatosMinisterioEnvio.do"/>
		</action>
		
		
		<action path="/w83bGenerarDatosMinisterioOP" scope="request" type="w83b.w83bOperacionesPaso.w83bDatosMinisterio.W83bComprobarDatosMinisterioOPAction" 
			 name="w83bDatosMinisterio" validate="false" >
			<forward name="ok" path="/w83bComprobarDatosMinisterio.do"/>
			<forward name="error" path="/w83bDatosMinisterioEnvio.do"/>
		</action>
		
		<action path ="/w83bComprobarDatosMinisterio" 
			 parameter="w83bComprobarDatosMinisterioOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bComprobarDatosMinisterioOutOP.do" />
					<forward name="error" path="/w83bDatosMinisterioEnvio.do" />
		</action>
		
		<action path="/w83bComprobarDatosMinisterioOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bDatosMinisterio.W83bComprobarDatosMinisterioOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bCrearFicheroMinisterio" name="w83bDatosMinisterio" scope="request" type="w83b.w83bOperacionesPaso.w83bDatosMinisterio.W83bCrearFicheroMinisterioAction" 
			 validate="false">
		</action>	
		
		<!-- =============== -->
		<!-- INFORME ANUAL -->
		<!-- =============== -->
		
		<action path="/w83bDatosMinisterioInf" scope="request"  type="w83b.w83bOperacionesPaso.w83bDatosMinisterio.W83bComprobarAnualDatosMinisterioOPAction"
			 name="w83bDatosMinisterio" validate="false" >
			<forward name="ok" path="paginaDatosMinisterioInforme"/>
			<forward name="error" path="/w83bDatosMinisterioEnvio.do"/>
		</action>
		
		
		<action path="/w83bGenerarAnualDatosMinisterioOP" scope="request" type="w83b.w83bOperacionesPaso.w83bDatosMinisterio.W83bComprobarAnualDatosMinisterioOPAction" 
			 name="w83bDatosMinisterioAnual" validate="false" >
			<forward name="ok" path="/w83bComprobarAnualDatosMinisterio.do"/>
			<forward name="error" path="/w83bDatosMinisterioEnvio.do"/>
		</action>
		
		<action path ="/w83bComprobarAnualDatosMinisterio" 
			 parameter="w83bComprobarAnualDatosMinisterioOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bComprobarAnualDatosMinisterioOutOP.do" />
					<forward name="error" path="/w83bDatosMinisterioEnvio.do" />
		</action>
		
		<action path="/w83bComprobarAnualDatosMinisterioOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bDatosMinisterio.W83bComprobarAnualDatosMinisterioOutOPAction" 
			 validate="false">
		</action>
		
		
		<action path="/w83bCrearFicheroAnualMinisterio" name="w83bDatosMinisterio" scope="request" type="w83b.w83bOperacionesPaso.w83bDatosMinisterio.W83bCrearFicheroAnualMinisterioAction" 
			 validate="false">
		</action>	

	</action-mappings>

	<!-- Procesador de Operacion de Presentacion -->
	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	<!-- Datos de Operacion de Presentacion -->
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-motivosbajaacta.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>